#!/usr/bin/wksh -openlook

ID=`id | cut -d"(" -f2 | cut -d ")" -f1`
if [ $ID != "root" ]
then
    echo "\n"
    echo "      You must su to root to execute this script\n"
    echo "      Press the <Enter> key to exit \c"
    read ans
    exit 1
fi


#
 echo ""
 echo " ... Installing Dnssetup and related files"
 echo ""
#
#----                   Put the DTM related files in the right places
#
 echo " ... Copying desktop metaphor files"
 mv dns.icon /usr/X/lib/pixmaps/dns.icon >/dev/null
 chmod 666 /usr/X/lib/pixmaps/dns.icon >/dev/null 
 mv dns.cdb /usr/X/lib/classdb/dns.cdb >/dev/null 2>&1
 chmod 644 /usr/X/lib/classdb/dns.cdb >/dev/null 2>&1
 chown bin /usr/X/lib/classdb/dns.cdb >/dev/null 2>&1
 chgrp bin /usr/X/lib/classdb/dns.cdb >/dev/null 2>&1
#
#----                   Add the reference to the class database
#
 echo " ... Editing the desktop metaphor class database"
 ed /usr/X/lib/classdb/dtadmin >/dev/null 2>&1 <<EOT
g/INCLUDE dnssetup/d
w
q
EOT
 echo "INCLUDE dns.cdb;" >>/usr/X/lib/classdb/dtadmin

echo " "

mv ./dnssetup /usr/X/bin/dnssetup
mv ./DNSSetup /usr/X/bin/DNSSetup
chown root /usr/X/bin/DNSSetup 
chgrp sys /usr/X/bin/DNSSetup
chmod 555 /usr/X/bin/DNSSetup
chown root /usr/X/bin/dnssetup 
chgrp sys /usr/X/bin/dnssetup
chmod 555 /usr/X/bin/dnssetup
ln -s /usr/X/bin/DNSSetup $HOME/DNSSetup >/dev/null 2>&1
mkdir /usr/X/lib/dnssetup 2>/dev/null
mv ./help.txt /usr/X/lib/dnssetup
chmod 444 /usr/X/lib/dnssetup/help.txt
rm ./installdns.sh

#
#----			Successful installation.
#
 echo ""
 echo "		You have installed the dnssetup utility"
 echo "		Please logout and in to get the icon in your"
 echo "		Home folder."
#
